package com.baofoo.Demo;

import java.util.HashMap;
import java.util.Map;

import com.baofoo.Entity.PostMasterEntity;
import com.baofoo.Entity.ResultMasterEntity;
import com.baofoo.rsa.JHSignatureUtils;
import com.baofoo.util.HttpUtil;
import com.baofoo.util.Log;


import net.sf.json.JSONObject;
/**
 * Company: www.baofu.com
 * @author dasheng(大圣)
 * @date 2024年3月26日
 */
public class Bind_Sub_Config{
	
	public static void main(String[] args) throws Exception {
		String  pfxpath ="D:\\CER_EN_DECODE\\AgreementPay\\bfkey_100025773@@200001173.pfx";//商户私钥        
        String  cerpath = "D:\\CER_EN_DECODE\\AgreementPay\\bfkey_100025773@@200001173.cer";//宝付公钥
        String 	pfxpwd = "100025773_286941";//私钥密码
        
        String merId="100025773";
        String terId="200001173";
        
        String SubMchId="400421988";//商户识别码
               
        
        String Method = "bind_sub_config";
        String AuthType="JSAPI";//授权类型 AUTH	授权目录,JSAPI	微信公众号,APPLET	微信小程序
        String AuthContent="wx48eafb2264020bc8";//授权内容
        String Remark="";
              

        Map<String,Object> Biz_Content = new HashMap<String,Object>();
        Biz_Content.put("merId", merId);
        Biz_Content.put("terId", terId);
        Biz_Content.put("subMchId", SubMchId);
        Biz_Content.put("authType", AuthType);
        Biz_Content.put("authContent", AuthContent);
        Biz_Content.put("remark", Remark);
        
                
        PostMasterEntity pme = new PostMasterEntity();
        
        
        String BizContent=JSONObject.fromObject(Biz_Content).toString();
        Log.Write(BizContent);
        
        String BizContentEn =JHSignatureUtils.encryptByRSA(BizContent, pfxpath, pfxpwd);
        
        pme.setBizContent(BizContent);
        pme.setSignStr(BizContentEn);
        
        pme.setMerId(merId);
        pme.setTerId(terId);
        pme.setMethod(Method);
        Log.Write(pme.getParmFormat());
        
        String PostString  = HttpUtil.RequestForm("https://mch-juhe.baofoo.com/mch-service/api",pme.getMap());
        
       Log.Write(PostString);
        ResultMasterEntity rme = (ResultMasterEntity) JSONObject.toBean(JSONObject.fromObject(PostString), ResultMasterEntity.class);
        
        Log.Write(rme.toString());
        
        if(JHSignatureUtils.verifySignature(cerpath, rme.getDataContent(), rme.getSignStr())){
        	Log.Write("YES");
        }else{
        	Log.Write("NO");
        }
        /***
         * 
         * ......
         * 
         */
        
	}
}

